import { Context } from '../ioc/Context';
import { Logger } from '../log/LogManager';
export declare class InceptumApp {
    logger: Logger;
    context: Context;
    appName: string;
    /**
     * Creates a new Inceptum App
     */
    constructor(logger?: Logger);
    start(): Promise<void>;
    stop(): Promise<void>;
    getContext(): Context;
    getConfig(key: any, defaultValue: any): any;
    hasConfig(key: any): boolean;
}
